Bug 970803 - Review Request: nodejs-inherits1 - A tiny simple way to do classic inheritance in JS - legacy version
Review Request: nodejs-inherits1 - A tiny simple way to do classic inheritanc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968919
  Show dependency treegraph
 
Reported: 2013-06-04 19:18 EDT by T.C. Hollingsworth
Modified: 2013-06-25 17:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 17:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mhroncok: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-06-04 19:18:17 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-inherits1.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-inherits1-1.0.0-9.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5467560
Description:
A tiny simple way to do classic inheritance in JavaScript.

This is the legacy version used by many Node.js modules for many years, and is
retained for backward compatibility.  New modules should use the inheritance
functionality available in core Node.js or use the new version of inherits if
they need browser support as well.
Comment 1 Miro Hrončok 2013-06-06 08:02:49 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

Add comment about the license to the spec.
Tell me, this is also meant for EPEL5. If not, solve all [!] bellow.

===== MUST items =====

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

     The source contains absolutely nothing about the license.
     There is WTFPL license in the repo, but please add comment about that to the spec.
     Also, be careful and add a link to the commit, where version was still 1.0.0, but license was already WTFPL.
     https://github.com/isaacs/inherits/blob/112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE

[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     
     As above.
     
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     
     This is for EPEL5, right?
     
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Again EPEL.
     
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
     
     Again EPEL5.
     
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
     
     Again EPEL5.
     
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.

     This is a legacy package.
     
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.

     No tests from upstream.
     
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[-]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[-]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-inherits1-1.0.0-9.fc20.noarch.rpm
nodejs-inherits1.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-inherits1.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

All false positives.

Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-inherits1
nodejs-inherits1.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-inherits1.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

All false positives.

Requires
--------
nodejs-inherits1 (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-inherits1:
    nodejs-inherits1
    npm(inherits)



Source checksums
----------------
http://registry.npmjs.org/inherits/-/inherits-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : 2be196fa6bc6a0c65fecd737af457589ef88b22a95d5dc31aab01d92ace48186
  CHECKSUM(SHA256) upstream package : 2be196fa6bc6a0c65fecd737af457589ef88b22a95d5dc31aab01d92ace48186


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Buildroot used: fedora-rawhide-x86_64
Command line :./try-fedora-review -m fedora-devel-x86_64 -b 970803

$ rpm -qlvp ./nodejs-inherits1-1.0.0-9.fc20.noarch.rpm 
drwxr-xr-x    2 root    root                        0 čen  6 13:35 /usr/lib/node_modules/inherits@1
-rw-r--r--    1 root    root                      862 dub  7  2011 /usr/lib/node_modules/inherits@1/inherits.js
-rw-r--r--    1 root    root                      338 dub  7  2011 /usr/lib/node_modules/inherits@1/package.json
drwxr-xr-x    2 root    root                        0 čen  6 13:35 /usr/share/doc/nodejs-inherits1-1.0.0
-rw-r--r--    1 root    root                     1109 dub  7  2011 /usr/share/doc/nodejs-inherits1-1.0.0/README.md
Comment 2 T.C. Hollingsworth 2013-06-06 21:02:35 EDT
Thanks for the review!

(In reply to Miro Hrončok from comment #1)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> ===== Issues =====
> 
> Add comment about the license to the spec.
> Tell me, this is also meant for EPEL5. If not, solve all [!] bellow.

Yup, I've been talking with someone who needs nodejs on EL5 in their corporate environment working on a solution here.  Hopefully that will be done soon.

> ===== MUST items =====
> 
> Generic:
> [?]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> 
>      The source contains absolutely nothing about the license.
>      There is WTFPL license in the repo, but please add comment about that
> to the spec.
>      Also, be careful and add a link to the commit, where version was still
> 1.0.0, but license was already WTFPL.
>     
> https://github.com/isaacs/inherits/blob/
> 112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE

Fixed.

--

Spec: http://patches.fedorapeople.org/npm/nodejs-inherits1.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-inherits1-1.0.0-10.fc19.src.rpm

* Fri Jun 07 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-10
- include LICENSE file from upstream git
Comment 3 Miro Hrončok 2013-06-07 05:40:41 EDT
Package APPROVED.
Comment 4 T.C. Hollingsworth 2013-06-13 16:39:26 EDT
New Package SCM Request
=======================
Package Name: nodejs-inherits
Short Description: A tiny simple way to do classic inheritance in JS - legacy version
Owners: patches jamielinux 
Branches: f19 f18 el6
InitialCC:
Comment 5 T.C. Hollingsworth 2013-06-13 16:41:39 EDT
New Package SCM Request
=======================
Package Name: nodejs-inherits1
Short Description: A tiny simple way to do classic inheritance in JS - legacy version
Owners: patches jamielinux 
Branches: f19 f18 el6
InitialCC:

Oops, missed the "1", sorry.
Comment 6 Jon Ciesla 2013-06-14 08:13:17 EDT
Git done (by process-git-requests).
Comment 7 T.C. Hollingsworth 2013-06-25 17:10:32 EDT
https://koji.fedoraproject.org/koji/buildinfo?buildID=428773

Note You need to log in before you can comment on or make changes to this bug.